Skip to main content

Create App from GitHub

POST/apps

Creates a new ToolJet app from a GitHub repository.

Query Parameters
createModestringrequired
Must be set to git to create an app from a GitHub repository.
Request Body
gitAppIdstringrequired
Git App ID.
gitVersionIdstringrequired
Git version ID (branch or tag).
organizationIdstringrequired
UUID of the organization.
Error Responses
400
App name already exists, no git provider enabled, repository clone failed, or import error.
401
Missing or invalid Authorization token.
403
Insufficient permissions.
404
Not available on Community Edition.
451
GIT_SYNC license not present.
Request
curl -X POST "https://{your-domain}/api/ext/apps?createMode=git" -H "Authorization: Basic <access_token>" -H "Content-Type: application/json" -d '{
"gitAppId": "app-123456",
"gitVersionId": "main",
"organizationId": "45892c81-c1f0-48c6-8875-c2e4fca516f8"
}'
Response — 201
{
"app": {
  "id": "ae06cc7a-2922-4fe7-9064-462741558813",
  "name": "My Git App",
  "slug": "ae06cc7a-2922-4fe7-9064-462741558813",
  "type": "front-end",
  "is_public": false,
  "is_maintenance_on": false,
  "organization_id": "45892c81-c1f0-48c6-8875-c2e4fca516f8",
  "current_version_id": "37be6442-ca1b-4a5a-a6f4-f929e00a0ac1",
  "created_at": "2024-05-01T10:00:00.000Z",
  "updated_at": "2024-05-01T10:00:00.000Z"
}
}